KDE 4.5 PyKDE API Reference

- KDE's Python API

# KButtonGroup Class Reference

`from PyKDE4.kdeui import *`

Inherits: QGroupBox → QWidget → QObject

## Detailed Description

Group box with index of the selected button KGroupBox is a simple group box that can keep track of the current selected button of the ones added to it.

Use normally as you would with a QGroupBox.

"KDE Button Group containing 3 KPushButtons"

Author:
  Pino Toscano <toscano.pino@tiscali.it>

## Signals
| changed (int id)
| clicked (int id)
| pressed (int id)
| released (int id)
## Methods
| __init__ (self, QWidget parent=0)
| childEvent (self, QChildEvent event)
int | id (self, QAbstractButton button)
int | selected (self)
| setSelected (self, int id)

## Signal Documentation

changed | ( | int | id
| ) |  |  |

Emitted when anything (a click on a button, or calling setSelected()) change the id of the current selected. id is the index of the new selected button.

Signal syntax:
  `QObject.connect(source, SIGNAL("changed(int)"), target_slot)`

clicked | ( | int | id
| ) |  |  |

The button with index id was clicked

Signal syntax:
  `QObject.connect(source, SIGNAL("clicked(int)"), target_slot)`

pressed | ( | int | id
| ) |  |  |

The button with index id was pressed

Signal syntax:
  `QObject.connect(source, SIGNAL("pressed(int)"), target_slot)`

released | ( | int | id
| ) |  |  |

The button with index id was released

Signal syntax:
  `QObject.connect(source, SIGNAL("released(int)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Construct a new empty KGroupBox.

childEvent | ( | self, |
|  | QChildEvent | event
| ) |  |  |

Reimplemented from QGroupBox.

int id | ( | self, |
|  | QAbstractButton | button
| ) |  |  |

Returns:
  the index of button.

Since:
  4.3

int selected | ( |  | self ) |

Return the index of the selected QAbstractButton, among the QAbstractButton's added to the widget.

Returns:
  the index of the selected button

setSelected | ( | self, |
|  | int | id
| ) |  |  |

Select the id -th button